#!/bin/sh
# 2004 Dec 29 JDF
# This script SHOULD get all the sgml files needed 
# It may not. :)
#
if [ $# -lt 1 ]; then
	echo "usage: $0 /path/to/cygwin/build"
	exit 1;
fi

BLDPATH="$1"

if [ ! -d "$BLDPATH/winsup/doc" ]; then
	echo "usage: $0 /path/to/cygwin/build"
	echo "(Don't include winsup)"
	exit 1;
fi

for i in ug-net api; do
  if [ ! -f "$BLDPATH/winsup/doc/cygwin-$i.sgml" ]; then
	echo "New cygwin-$i.sgml file not found!"
	echo "Running make..."
	OLDPWD="$PWD"
	cd "$BLDPATH/winsup/doc/"
	make cygwin-$i.sgml
	cd "$OLDPWD"
  fi 
  cp "$BLDPATH/winsup/doc/cygwin-$i.sgml" ../src/
done

for i in libc libm; do
  if [ ! -f "$BLDPATH/newlib/$i/$i.info" ]; then
	echo "New $i.info file not found!"
	echo "Running make..."
	CURPWD="$PWD"
	cd "$BLDPATH/newlib/"
	make info
	cd "$CURPWD"
  fi 
  eval cat "$BLDPATH/newlib/$i/$i.info*" > ../src/$i.info
done
